globus_xio_ordering_driver_errors(3)

NAME
globus_xio_ordering_driver_errors - Error Types

 - Error Types.

SYNOPSIS

  Enumerations

enum globus_xio_ordering_error_type_t { GLOBUS_XIO_ORDERING_ERROR_READ, GLOBUS_XIO_ORDERING_ERROR_CANCEL }

Detailed Description

Error Types.

The errors reported by ORDERING driver include GLOBUS_XIO_ERROR_COMMAND, GLOBUS_XIO_ERROR_MEMORY, GLOBUS_XIO_ERROR_STATE, GLOBUS_XIO_ERROR_CANCELED

See also
    globus_xio_driver_error_match()

    globus_error_errno_match()

Enumeration Type Documentation

  enum globus_xio_ordering_error_type_t
doxygen varargs filter stuff ORDERING driver specific error types

Enumerator

GLOBUS_XIO_ORDERING_ERROR_READ
    Indicates that an error occurred in reading data

GLOBUS_XIO_ORDERING_ERROR_CANCEL
    Indicates an error occurred in canceling an operation

Author

Generated automatically by Doxygen for globus_xio from the source code.